Bug 1288127 - rpm_check_debug vs depsolve error during errata install
rpm_check_debug vs depsolve error during errata install
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Errata Management (Show other bugs)
6.1.3
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 10:44 EST by anthony.morgan
Modified: 2015-12-04 11:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 11:49:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description anthony.morgan 2015-12-03 10:44:52 EST
Description of problem:

[u'ERROR with rpm_check_debug vs depsolve:', 'gtk2 <= 2.21.2 conflicts with gdk-pixbuf2-2.24.1-6.el6_7.x86_64', u'Please report this error at https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%206&component=yum']

Version-Release number of selected component (if applicable):

REDHAT SATELLITE SERVER 6.1.3
katello-installer-base-2.3.20-1.el6.noarch
katello-common-2.2.0.16-1.el6_6sat.noarch
katello-2.2.0.16-1.el6_6sat.noarch
katello-debug-2.2.0.16-1.el6_6sat.noarch
katello-certs-tools-2.2.1-1.el6_6sat.noarch
rubygem-hammer_cli_katello-0.0.7.18-1.el6.noarch
katello-default-ca-1.0-1.noarch
katello-ca-consumer-<fqdn-hostanme>-1.0-1.noarch
katello-installer-2.3.20-1.el6.noarch
katello-service-2.2.0.16-1.el6_6sat.noarch
katello-server-ca-1.0-1.noarch
ruby193-rubygem-katello-2.2.0.73-1.el6_6sat.noarch
pulp-katello-0.5-1.el6_6sat.noarch
<fqdn-hostname>.gac.gulfaero.com-foreman-proxy-1.0-1.noarch
foreman-compute-1.7.2.43-1.el6_6sat.noarch
foreman-vmware-1.7.2.43-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.7-1.el6_6sat.noarch
ruby193-rubygem-foreman-redhat_access-0.2.3-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_docker-0.0.3.9-1.el6_6sat.noarch
foreman-debug-1.7.2.43-1.el6_6sat.noarch
foreman-1.7.2.43-1.el6_6sat.noarch
ruby193-rubygem-foreman-tasks-0.6.15.7-1.el6_6sat.noarch
foreman-selinux-1.7.2.14-1.el6.noarch
foreman-gce-1.7.2.43-1.el6_6sat.noarch
foreman-postgresql-1.7.2.43-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.5-1.el6_6sat.noarch
foreman-proxy-1.7.2.6-1.el6.noarch
ruby193-rubygem-foreman_docker-1.2.0.22-1.el6_6sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.19-1.el6_6sat.noarch
infrhnpl002.gac.gulfaero.com-foreman-client-1.0-1.noarch
infrhnpl002.gac.gulfaero.com-foreman-proxy-client-1.0-1.noarch
foreman-ovirt-1.7.2.43-1.el6_6sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.13-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el6_6sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el6_6sat.noarch
foreman-libvirt-1.7.2.43-1.el6_6sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6_6sat.noarch
rubygem-hammer_cli_foreman-0.1.4.14-1.el6_6sat.noarch

REDHAT 6.7 (SANTIAGO) CLIENT

katello-agent-2.2.6-1.el6.noarch
katello-ca-consumer-<fqdn-hostname>-1.0-1.noarch


How reproducible:


Steps to Reproduce:
1. select errata updates for system
2. apply selected errata updates
3. error generated within details after install completes

Actual results:

errata applies successfully, but generates error during process.

Expected results:

errata applies without error


Additional info:

system packages were updated as per BUG 1269509 hotfix prior to errata updates.

== Server HOTFIX instructions ==

1) Edit /etc/foreman/plugins/katello.yaml, update rest_client_timeout to 3600
2) Save file
3) katello-service restart

If katello-installer --upgrade is re-run you will need to re-apply this configuration change. 

== Client HOTFIX Instructions ==

1) Download attached bz-hotfix-1269509.tar.gz file or wget http://people.redhat.com/~mmccune/hotfix/1269509/bz-hotfix-1269509.tar.gz
2) Expand archive which contains packages for Red Hat Enterprise Linux 5/6/7 packages for katello-agent and gofer
3) Copy packages from extracted subdirectory for your version of Red Hat Enterprise Linux to a client system you wish to upgrade to the hotfix 
4) yum localinstall *.rpm 
5) service goferd restart

-rw-rw-r-- 1 1000 escad  23688 Nov 23 11:09 katello-agent-2.2.6-1.el6.noarch.rpm
-rw-rw-r-- 1 1000 escad  54256 Nov 23 12:23 python-gofer-proton-2.6.7-2.el6.noarch.rpm
-rw-rw-r-- 1 1000 escad 129884 Nov 23 12:23 python-gofer-2.6.7-2.el6.noarch.rpm
-rw-rw-r-- 1 1000 escad  79928 Nov 23 12:23 gofer-2.6.7-2.el6.noarch.rpm
Comment 1 anthony.morgan 2015-12-03 11:35:53 EST
please close case.

issue has been resolved. 

this was not a bug as being reported by satellite server.

it was a package conflict.

Note You need to log in before you can comment on or make changes to this bug.